Which devices are supported? B-hyve

For our B-hyve devices, In order to use them properly, you need an Android/iOS device that is compatible with them.

For iOS

We currently support iPhone, iPad and iPod Touch running iOS 13 and above. (Bluetooth 4.0+)

For Android

Android version 5 and higher. (Bluetooth 4.0+)

Smart Watches are not supported at this time